# Uses of Interface
org.opensaml.saml.saml2.metadata.AffiliateMember

Packages that use AffiliateMember
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AffiliateMember in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AffiliateMember
Modifier and Type
Method
Description
`List<AffiliateMember>`
AffiliationDescriptor.`getMembers()`
Gets a list of the members of this affiliation.

## Uses of AffiliateMember in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AffiliateMember
Modifier and Type
Class
Description
`class`
`AffiliateMemberImpl`
Concrete implementation of `AffiliateMember`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AffiliateMember
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AffiliateMember>`
AffiliationDescriptorImpl.`members`
Members of this affiliation.
Methods in org.opensaml.saml.saml2.metadata.impl that return AffiliateMember
Modifier and Type
Method
Description
`AffiliateMember`
AffiliateMemberBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AffiliateMember`
AffiliateMemberBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AffiliateMember
Modifier and Type
Method
Description
`List<AffiliateMember>`
AffiliationDescriptorImpl.`getMembers()`
Gets a list of the members of this affiliation.